Contact Us
  • Home
  • Documentation
  • Core Weather API
  • MinuteCast™ API
  • Lightning API
  • Enterprise APIs
  • Pricing
  • FAQ
Company
  • Proven Superior Accuracy
  • About AccuWeather
  • Digital Advertising
  • Careers
  • Press
  • Privacy
  • Terms of Use
  • Brand Guidelines
  • Privacy Settings
Products & Services
  • For Business
  • For Partners
  • For Advertising
  • AccuWeather Enterprise APIs
  • AccuWeather Connect
  • Personal Weather Stations
Subscription Services
  • AccuWeather Premium
  • AccuWeather Professional
Apps & Downloads
  • iPhone App
  • Android App
  • See all Apps & Downloads

© 2026 AccuWeather, Inc.

xXfacebookFacebookinstagramInstagram
Information
Current Conditions
Daily Forecasts
Hourly Forecasts
Alerts
Locations
Indices
Tropical
    Active
      Active government-issued storms by basin and government IdgetActive government-issued stormsgetActive government-issued storms by basinget
    Search
    Position
    Forecast
Alarms
Imagery Maps
Translations
Schemas
Core Weather
Core Weather

Active


Active government-issued storms by basin and government Id

GET
https://dataservice.accuweather.com
/tropical/v1/gov/storms/active/{basin}/{govId}

Returns an active government-issued tropical cyclone for a specific basin and government id.

A tropical cyclone is identified as active if no updates are received from the government provider for 24 hours.

Basins

NameId
AtlanticAL
Central PacificCP
Eastern PacificEP
North Indian OceanNI
Northwest PacificNP
South Indian OceanSI
Southwest PacificSP

Active government-issued storms by basin and government Id › path Parameters

basin
​string · required

A unique ID that designates a specific basin (NP, CP, SP, EP, NI, SI, AL).

Example: AL
govId
​integer · int32 · required

A numerical ID that matches the depression ID.

Example: 2

Active government-issued storms by basin and government Id › query Parameters

format
​string

A string value that specifies what type of format to provide the response.

Default: json

Active government-issued storms by basin and government Id › Headers

Authorization
​string · required

The Authorization header is used to authenticate using your API key. Format is Bearer YOUR_API_KEY.

Active government-issued storms by basin and government Id › Responses

OK

API.Tropical.Common.Entities.OpenAPI.StormBase
year
​integer · int64 · required

The year of origination.

basinId
​string · minLength: 1 · required

Basin identifier (AL, EP, SI, NI, CP, NP, SP).

depressionNumber
​integer · int32 · required

Government depression number. May be NULL.

name
​string · minLength: 1 · required

The name of the depression.

isActive
​boolean · required

A boolean flag indicating if the storm has been updated recently.

isSubtropical
​boolean · required

A boolean flag indicating when the depression is classified as a subtropical cyclone.

isRetired
​boolean

A boolean flag indicating if the storm name had been retired and false if it has not been retired.

govId
​integer | null · int32

The unique depression number associated with a tropical cyclone. Equivalent to depressionId.

accuId
​integer | null · int32

AccuWeather storm ID. May be NULL. If NULL, this parameter will not be displayed.

atcfId
​integer | null · int32

ATCF storm ID. May be NULL. If NULL, this parameter will not be displayed.

hurdatId
​integer | null · int32

Hurdat (hurricane database) storm ID. May be NULL. If NULL, this parameter will not be displayed.

eventKey
​string | null

A unique identifier in the format BBDDYYYY where BB is the basin code, DD is the depression number, and YYYY is the year.

govBaseLink
​string | null

Link to the specific government storm URL. May be NULL. If NULL, this parameter will not be displayed.

accuBaseLink
​string | null

Link to the specific AccuWeather storm URL. May be NULL. If NULL, this parameter will not be displayed.

atcfBaseLink
​string | null

Link to the specific ATCF storm URL. May be NULL. If NULL, this parameter will not be displayed.

GET/tropical/v1/gov/storms/active/{basin}/{govId}
curl https://dataservice.accuweather.com/tropical/v1/gov/storms/active/:basin/:govId \ --header 'Authorization: <api-key>'
Example Responses
{ "year": 0, "basinId": "basinId", "depressionNumber": 0, "name": "name", "isActive": true, "isRetired": true, "isSubtropical": true, "govId": 0, "accuId": 0, "atcfId": 0, "hurdatId": 0, "eventKey": "eventKey", "govBaseLink": "govBaseLink", "accuBaseLink": "accuBaseLink", "atcfBaseLink": "atcfBaseLink" }
json
application/json

Active government-issued storms

GET
https://dataservice.accuweather.com
/tropical/v1/gov/storms/active

Returns all active government-issued tropical cyclones.

A tropical cyclone is identified as active if no updates are received from the government provider for 24 hours.

Active government-issued storms › query Parameters

format
​string

A string value that specifies what type of format to provide the response.

Default: json

Active government-issued storms › Headers

Authorization
​string · required

The Authorization header is used to authenticate using your API key. Format is Bearer YOUR_API_KEY.

Active government-issued storms › Responses

OK

​API.Tropical.Common.Entities.OpenAPI.StormBase[]
API.Tropical.Common.Entities.OpenAPI.StormBase
year
​integer · int64 · required

The year of origination.

basinId
​string · minLength: 1 · required

Basin identifier (AL, EP, SI, NI, CP, NP, SP).

depressionNumber
​integer · int32 · required

Government depression number. May be NULL.

name
​string · minLength: 1 · required

The name of the depression.

isActive
​boolean · required

A boolean flag indicating if the storm has been updated recently.

isSubtropical
​boolean · required

A boolean flag indicating when the depression is classified as a subtropical cyclone.

isRetired
​boolean

A boolean flag indicating if the storm name had been retired and false if it has not been retired.

govId
​integer | null · int32

The unique depression number associated with a tropical cyclone. Equivalent to depressionId.

accuId
​integer | null · int32

AccuWeather storm ID. May be NULL. If NULL, this parameter will not be displayed.

atcfId
​integer | null · int32

ATCF storm ID. May be NULL. If NULL, this parameter will not be displayed.

hurdatId
​integer | null · int32

Hurdat (hurricane database) storm ID. May be NULL. If NULL, this parameter will not be displayed.

eventKey
​string | null

A unique identifier in the format BBDDYYYY where BB is the basin code, DD is the depression number, and YYYY is the year.

govBaseLink
​string | null

Link to the specific government storm URL. May be NULL. If NULL, this parameter will not be displayed.

accuBaseLink
​string | null

Link to the specific AccuWeather storm URL. May be NULL. If NULL, this parameter will not be displayed.

atcfBaseLink
​string | null

Link to the specific ATCF storm URL. May be NULL. If NULL, this parameter will not be displayed.

GET/tropical/v1/gov/storms/active
curl https://dataservice.accuweather.com/tropical/v1/gov/storms/active \ --header 'Authorization: <api-key>'
Example Responses
[ { "year": 0, "basinId": "basinId", "depressionNumber": 0, "name": "name", "isActive": true, "isRetired": true, "isSubtropical": true, "govId": 0, "accuId": 0, "atcfId": 0, "hurdatId": 0, "eventKey": "eventKey", "govBaseLink": "govBaseLink", "accuBaseLink": "accuBaseLink", "atcfBaseLink": "atcfBaseLink" } ]
json
application/json

Active government-issued storms by basin

GET
https://dataservice.accuweather.com
/tropical/v1/gov/storms/active/{basin}

Returns all active government-issued tropical cyclones for a specific basin.

A tropical cyclone is identified as active if no updates are received from the government provider for 24 hours.

Basins

NameId
AtlanticAL
Central PacificCP
Eastern PacificEP
North Indian OceanNI
Northwest PacificNP
South Indian OceanSI
Southwest PacificSP

Active government-issued storms by basin › path Parameters

basin
​string · required

A unique ID that designates a specific basin (NP, CP, SP, EP, NI, SI, AL).

Example: AL

Active government-issued storms by basin › query Parameters

format
​string

A string value that specifies what type of format to provide the response.

Default: json

Active government-issued storms by basin › Headers

Authorization
​string · required

The Authorization header is used to authenticate using your API key. Format is Bearer YOUR_API_KEY.

Active government-issued storms by basin › Responses

OK

​API.Tropical.Common.Entities.OpenAPI.StormBase[]
API.Tropical.Common.Entities.OpenAPI.StormBase
year
​integer · int64 · required

The year of origination.

basinId
​string · minLength: 1 · required

Basin identifier (AL, EP, SI, NI, CP, NP, SP).

depressionNumber
​integer · int32 · required

Government depression number. May be NULL.

name
​string · minLength: 1 · required

The name of the depression.

isActive
​boolean · required

A boolean flag indicating if the storm has been updated recently.

isSubtropical
​boolean · required

A boolean flag indicating when the depression is classified as a subtropical cyclone.

isRetired
​boolean

A boolean flag indicating if the storm name had been retired and false if it has not been retired.

govId
​integer | null · int32

The unique depression number associated with a tropical cyclone. Equivalent to depressionId.

accuId
​integer | null · int32

AccuWeather storm ID. May be NULL. If NULL, this parameter will not be displayed.

atcfId
​integer | null · int32

ATCF storm ID. May be NULL. If NULL, this parameter will not be displayed.

hurdatId
​integer | null · int32

Hurdat (hurricane database) storm ID. May be NULL. If NULL, this parameter will not be displayed.

eventKey
​string | null

A unique identifier in the format BBDDYYYY where BB is the basin code, DD is the depression number, and YYYY is the year.

govBaseLink
​string | null

Link to the specific government storm URL. May be NULL. If NULL, this parameter will not be displayed.

accuBaseLink
​string | null

Link to the specific AccuWeather storm URL. May be NULL. If NULL, this parameter will not be displayed.

atcfBaseLink
​string | null

Link to the specific ATCF storm URL. May be NULL. If NULL, this parameter will not be displayed.

GET/tropical/v1/gov/storms/active/{basin}
curl https://dataservice.accuweather.com/tropical/v1/gov/storms/active/:basin \ --header 'Authorization: <api-key>'
Example Responses
[ { "year": 0, "basinId": "basinId", "depressionNumber": 0, "name": "name", "isActive": true, "isRetired": true, "isSubtropical": true, "govId": 0, "accuId": 0, "atcfId": 0, "hurdatId": 0, "eventKey": "eventKey", "govBaseLink": "govBaseLink", "accuBaseLink": "accuBaseLink", "atcfBaseLink": "atcfBaseLink" } ]
json
application/json

MetadataSearch